>From 29cd0b794f65543d977ec41892681a4a920a24c3 Mon Sep 17 00:00:00 2001
From: Stefan Tauner <stefan.tauner@student.tuwien.ac.at>
Date: Sat, 29 Dec 2012 11:04:25 +0100
Subject: [PATCH] [NOT FOR MERGE] Don't abort on invalid PCI BARs.


Signed-off-by: Stefan Tauner <stefan.tauner@student.tuwien.ac.at>
---
 pcidev.c |    5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

diff --git a/pcidev.c b/pcidev.c
index 1a26e99..e07cdf2 100644
--- a/pcidev.c
+++ b/pcidev.c
@@ -190,6 +190,7 @@ uintptr_t pcidev_init(int bar, const struct dev_entry *devs)
 			if (devs[i].device_name == NULL)
 				continue;
 
+			found++;
 			msg_pdbg("Found \"%s %s\" (%04x:%04x, BDF %02x:%02x.%x).\n", devs[i].vendor_name,
 				 devs[i].device_name, dev->vendor_id, dev->device_id, dev->bus, dev->dev,
 				 dev->func);
@@ -200,13 +201,9 @@ uintptr_t pcidev_init(int bar, const struct dev_entry *devs)
 					  "of your\n"
 					  "PCI device to the subject. Thank you for your help!\n===\n");
 
-			/* FIXME: We should count all matching devices, not
-			 * just those with a valid BAR.
-			 */
 			if ((addr = pcidev_readbar(dev, bar)) != 0) {
 				curaddr = addr;
 				pcidev_dev = dev;
-				found++;
 			}
 		}
 	}
-- 
Kind regards, Stefan Tauner

